git2 0.2.1

Bindings to libgit2 for interoperating with git repositories. This library is both threadsafe and memory safe and allows both reading and writing git repositories.
docs.rs failed to build git2-0.2.1
Please check build logs and if you believe this is docs.rs' fault, report into this issue report.

git2-rs

Build Status

Documentation

libgit2 bindings for Rust

[dependencies]
git2 = "0.1"

Building git2-rs

First, you'll need to install CMake and pkg-config if you don't already have libgit2 installed elsewhere on the system. Afterwards, just run:

$ git clone --recursive https://github.com/alexcrichton/git2-rs
$ cd git2-rs
$ cargo build

License

git2-rs is primarily distributed under the terms of both the MIT license and the Apache License (Version 2.0), with portions covered by various BSD-like licenses.

See LICENSE-APACHE, and LICENSE-MIT for details.